Bug 26798 - Multiple DRM-enabled Xservers cause contention
Multiple DRM-enabled Xservers cause contention
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-09 04:01 EST by Ed McKenzie
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-17 22:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-02-09 04:01:01 EST
Steps to reproduce:

1. Configure X with DRI support on a Matrox G200 card.
2. Start an X session on :0.
3. Ctrl-Alt-Fx back to the console, and start another X session on :1.
4. Notice how the second session never comes up.
5. Ctrl-Alt-Fx away, and notice how :1 comes up as you attempt to switch to
another console.

Setting bpp to 24bpp disables DRI and makes the problem go away.
Comment 1 Mike A. Harris 2001-02-10 02:30:20 EST
DRI doesn't work worth squat with 4.0.2 much at all period.  Doing DRI
multihead most likely will not work.  Supposedly if you use the framebuffer
instead, you might get better results.  I don't expect this configuration
to be supported before at least XFree86 4.1.0 is released and the 2.4.x
kernel has stabilized also.
Comment 2 Ed McKenzie 2001-08-17 12:14:38 EDT
Problem fixed in 4.1.0
Comment 3 Mike A. Harris 2001-08-17 22:35:42 EDT
Changing status to CLOSED->RAWHIDE instead of WONTFIX

Note You need to log in before you can comment on or make changes to this bug.